/*
** Copyright 2001, Michael Pfeiffer	
*/

#ifndef CONNECT_APP_H
#define CONNECT_APP_H

#include <AppKit.h>
#include <InterfaceKit.h>
#include <MWindow.h>
#include <MCheckBox.h>

class AppWindow : public MWindow {
	enum {
		_no_of_modes = 6
	};
	struct settings {
		int  refreshrate[_no_of_modes];
		bool driver_enabled;
		bool change_refreshrate;
	}       _initial, 
	        _settings;
	int    _resIndex;
	BMenu* _resMenu;
	BMenu* _refMenu;
	MCheckBox* _driverCB;
	MCheckBox* _refCB;

	void FillMenu(BMenu* menu, const char* labels[], uint32 what);

	void SelectResMenu(int index);
	void SelectMenu(BMenu* menu, int index);

	void OnResolutionChanged(BMessage* msg);
	void OnRefreshRateChanged(BMessage* msg);
	void OnDriverEnabledChanged(BMessage* msg);
	void OnChangeRefChanged(BMessage* msg);
	void OnTestClicked(BMessage* msg);
	void OnDefaultClicked(BMessage* msg);
	void OnUndoClicked(BMessage* msg);
	void OnApplyClicked(BMessage* msg);

	void LoadSettings();
	void SaveSettings(struct settings* s);
	
public:
	enum {
		RESOLUTION_CHANGED,
		REFRESH_RATE_CHANGED,
		DRIVER_ENABLED_CHANGED,
		CHANGE_REF_CHANGED,
		TEST_CLICKED,
		DEFAULT_CLICKED,
		UNDO_CLICKED,
		APPLY_CLICKED
	};
	AppWindow(BRect);
	bool QuitRequested();
	void AboutRequested();	
	void MessageReceived(BMessage *message);
};

class App : public BApplication {
public:
	AppWindow *window;
	App();
};

#define my_app ((App*)be_app)
#endif
