/*
	Copyright 2001, Michael Pfeiffer
*/

#ifndef DRIVERINTERFACE_H
#define DRIVERINTERFACE_H

#include <Accelerant.h>
#include <Drivers.h>
#include <PCI.h>
#include <OS.h>

/*
	This is the info that needs to be shared between the kernel driver and
	the accelerant for the sample driver.
*/
#if defined(__cplusplus)
extern "C" {
#endif

#define ACCELERANT_NAME "0wrapper.accelerant"
#define AREA_NAME       "BeTVOutWrapper"

/* device_control opcode: */
enum {
	GDW_DETECT_DRIVER          = ((uint32)(1 << 31)),
	GDW_FULLSCREEN_REFRESHRATE,
	GDW_IS_ENABLED,
	
	MODE640x480 = 0,
	MODE800x600,
	MODE1024x768,
	MODE1152x768,
	MODE1280x1024,
	MODE1600x1200,
};

struct SharedData {
	char accelerant[B_PATH_NAME_LENGTH+1]; // of first device
};

#if defined(__cplusplus)
}
#endif


#endif
